import type { PropType, SlotsType } from 'vue';
import type { ValidationSeverity } from '../constants';
import type { ValidationMessages } from '../type';
export declare const VCFormGroup: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    label: {
        type: BooleanConstructor;
        default: any;
    };
    labelClass: {
        type: StringConstructor;
    };
    labelContent: {
        type: StringConstructor;
    };
    hint: {
        type: BooleanConstructor;
        default: any;
    };
    hintClass: {
        type: StringConstructor;
    };
    hintContent: {
        type: StringConstructor;
    };
    validation: {
        type: BooleanConstructor;
        default: any;
    };
    validationSeverity: {
        type: PropType<`${ValidationSeverity}` | undefined>;
        default: any;
    };
    validationMessages: {
        type: PropType<ValidationMessages>;
        default: any;
    };
}>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    label: {
        type: BooleanConstructor;
        default: any;
    };
    labelClass: {
        type: StringConstructor;
    };
    labelContent: {
        type: StringConstructor;
    };
    hint: {
        type: BooleanConstructor;
        default: any;
    };
    hintClass: {
        type: StringConstructor;
    };
    hintContent: {
        type: StringConstructor;
    };
    validation: {
        type: BooleanConstructor;
        default: any;
    };
    validationSeverity: {
        type: PropType<`${ValidationSeverity}` | undefined>;
        default: any;
    };
    validationMessages: {
        type: PropType<ValidationMessages>;
        default: any;
    };
}>> & Readonly<{}>, {
    label: boolean;
    hint: boolean;
    validation: boolean;
    validationMessages: ValidationMessages;
    validationSeverity: "error" | "warning";
}, SlotsType<{
    default: undefined;
    label: undefined;
    hint: undefined;
}>, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
//# sourceMappingURL=component.d.ts.map