import type { FormRangeSliderContext } from './types';
export declare class FormRangeSlider {
    private el;
    private trackElement;
    private diffElement;
    private sliderMin;
    private sliderMax;
    private _min;
    private _max;
    private width;
    private x;
    private mouseX;
    constructor(ctx: FormRangeSliderContext);
    mount(): void;
    unmount(): void;
    mousePercent(): number;
    change(): void;
    get min(): number;
    set min(value: number);
    get max(): number;
    set max(value: number);
    private updateDiff;
    private static getTouchPosition;
    protected mouseMoveEventHandler(event: MouseEvent): void;
    protected mouseUpEventHandler(): void;
    protected touchMoveEventHandler(event: TouchEvent): void;
    protected touchEndEventHandler(): void;
    protected clickEventHandler(event: MouseEvent): void;
    protected touchendEventHandler(event: TouchEvent): void;
    protected handleClick(position: number): void;
}
//# sourceMappingURL=module.d.ts.map